import React from 'react';
import { Provider } from 'react-redux';
import './App.css';
import './styles/App.sass';
import store from './redux/store/store';
import FormBuilder from './pages/form-builder/FormBuilder'; // Initialize mixpanel

function App() {
  return /*#__PURE__*/ React.createElement(
    'div',
    {
      className: 'builder-wrapper',
    },
    /*#__PURE__*/ React.createElement(
      Provider,
      {
        store: store,
      },
      /*#__PURE__*/ React.createElement(FormBuilder, null)
    )
  );
}

export default App;
