import React from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components';
export const LinkPrimaryOutline = ({ link, title, onclick }) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      LinkOutline,
      {
        to: link || '#',
        className: 'btn',
        onClick: onclick,
      },
      title
    )
  );
};
const LinkOutline = styled(Link)`
  border: 1px solid #004bff;
  background: #fff;
  font-weight: 700;
  font-family: var(--ff-bold);
  text-align: center;
`;
