import React from 'react';
import styled from 'styled-components';
export const PageTitle = ({ title }) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      SectionTitle,
      {
        className: 'section-title',
      },
      title
    )
  );
};
export const BoldTitle = ({ title, className }) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      BoldSectionTitle,
      {
        className: className,
      },
      title
    )
  );
};
const SectionTitle = styled.h2`
  font-family: var(--ff-sbold);
  font-weight: 600;
  color: var(--co-head);
  font-size: 2rem;
`;
const BoldSectionTitle = styled.h2`
  font-family: var(--ff-heading);
  font-weight: 700;
  color: var(--co-head);
  font-size: 2.4rem;
`;
