import React from 'react';
import {
  Accordion,
  AccordionItem,
  AccordionItemHeading,
  AccordionItemButton,
  AccordionItemPanel,
} from 'react-accessible-accordion';
import 'react-accessible-accordion/dist/fancy-example.css';
export const BasicAccordionItem = ({ title, children }) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      AccordionItem,
      null,
      /*#__PURE__*/ React.createElement(
        AccordionItemHeading,
        null,
        /*#__PURE__*/ React.createElement(AccordionItemButton, null, title)
      ),
      /*#__PURE__*/ React.createElement(AccordionItemPanel, null, children)
    )
  );
};
export const AccordionWrapper = ({ children }) => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      Accordion,
      {
        allowZeroExpanded: true,
      },
      children
    )
  );
};
