import React from 'react';
import ProfileSection from '../../components/common/wrappers/ProfileWrapper';
import { BasicSwitch } from '../../components/common/inputs/Switch';

const Notification = () => {
  return /*#__PURE__*/ React.createElement(
    React.Fragment,
    null,
    /*#__PURE__*/ React.createElement(
      ProfileSection,
      {
        className: 'sectionw-details',
      },
      /*#__PURE__*/ React.createElement(
        'div',
        {
          className: 'section-details',
        },
        /*#__PURE__*/ React.createElement(
          'h3',
          null,
          'Notification Preferences'
        )
      ),
      /*#__PURE__*/ React.createElement(
        'div',
        {
          className: 'd-flx-alc-jsb py-3 border-top',
        },
        /*#__PURE__*/ React.createElement(
          'p',
          null,
          'Get notified when a collaborator makes an update'
        ),
        /*#__PURE__*/ React.createElement(BasicSwitch, null)
      ),
      /*#__PURE__*/ React.createElement(
        'div',
        {
          className: 'd-flx-alc-jsb py-3 border-top',
        },
        /*#__PURE__*/ React.createElement(
          'p',
          null,
          'Receive email updates on mentions, comments, and edit digests for all the pages you have followed.'
        ),
        /*#__PURE__*/ React.createElement(BasicSwitch, null)
      ),
      /*#__PURE__*/ React.createElement(
        'div',
        {
          className: 'd-flx-alc-jsb py-3 border-top',
        },
        /*#__PURE__*/ React.createElement(
          'p',
          null,
          'Receive push notifications on mentions and comments via your mobile app.'
        ),
        /*#__PURE__*/ React.createElement(BasicSwitch, null)
      )
    )
  );
};

export default Notification;
