import { combineReducers } from 'redux';
import auth from './auth.reducer';
import workspace from './workspace.reducer';
import users from './users.reducer';
import forms from './forms.reducer';
import formBuilder from './formBuilder.reducer';
import settings from './settings.reducer';
import agents from './agent.reducer';
import share from './share.reducer';
import client from './client.reducer';
import integration from './integration.reducer';

export default combineReducers({
  auth,
  workspace,
  users,
  forms,
  formBuilder,
  agents,
  share,
  settings,
  client,
  integration,
});
