import React from 'react';
import styled from 'styled-components';
export const LabelIcon = ({ title, svg }) => {
  return /*#__PURE__*/ React.createElement(
    LIcon,
    null,
    /*#__PURE__*/ React.createElement('span', null, title),
    /*#__PURE__*/ React.createElement(
      'svg',
      null,
      /*#__PURE__*/ React.createElement('use', {
        href: `/images/icons.svg#${svg}`,
      })
    )
  );
};
const LIcon = styled.p`
  display: flex;
  align-items: center;
  font-size: 1.2rem;
  color: #838ca2;
  font-family: var(--ff-sbold);
  font-weight: 600;
  margin-bottom: 1.2rem;
  svg {
    width: 15px;
    height: 15px;
    margin-left: 0.5rem;
  }
`;
