import React from 'react';
import styled from 'styled-components';
import { TextButton } from '../../components/common/buttons/PrimaryBtn';
export const ModalTabs = () => {
  return /*#__PURE__*/ React.createElement(
    TabWrapper,
    {
      className: 'd-flx-alc',
    },
    /*#__PURE__*/ React.createElement(TextButton, {
      title: 'General',
      className: 'active',
    }),
    /*#__PURE__*/ React.createElement(TextButton, {
      title: 'Notification',
    }),
    /*#__PURE__*/ React.createElement(TextButton, {
      title: 'Responses',
    })
  );
};
export const AgentsTabs = ({ actions, agentTabControl }) => {
  return /*#__PURE__*/ React.createElement(
    TabWrapper,
    {
      className: 'd-flx-alc alt',
    },
    /*#__PURE__*/ React.createElement(TextButton, {
      title: 'Agent list',
      className: agentTabControl ? 'active' : '',
      onclick: actions,
    }),
    /*#__PURE__*/ React.createElement(TextButton, {
      title: 'Agent groups',
      className: !agentTabControl ? 'active' : '',
      onclick: actions,
    })
  );
};
const TabWrapper = styled.div`
  border: 1px solid #e8edff;
  &.alt {
    border: none;
  }
`;
