import { createStore, applyMiddleware } from 'redux';
import thunk from 'redux-thunk';
import rootReducer from '../reducers'; // import { composeWithDevTools } from 'redux-devtools-extension';

const middlewares = [thunk];
const initialState = {}; // const devTools =
//   process.env.NODE_ENV === 'production'
//     ? applyMiddleware(...middlewares)
//     : composeWithDevTools(applyMiddleware(...middlewares));

const store = createStore(
  rootReducer,
  initialState,
  applyMiddleware(...middlewares)
);
export default store;
