import React from 'react';
import { Provider } from 'react-redux';
import './App.css';
import './styles/App.sass';
import store from './redux/store/store';
import FormBuilder from './pages/form-builder/FormBuilder';
// Initialize mixpanel

function App() {
  return (
    <div className="builder-wrapper">
      <Provider store={store}>
        <FormBuilder />
      </Provider>
    </div>
  );
}

export default App;
