import React from 'react';
import styled from 'styled-components';

const ProfileSection = ({ className, children }) => {
  return <ProfileWrapper className={className}>{children}</ProfileWrapper>;
};

export default ProfileSection;

const ProfileWrapper = styled.div`
  padding: 2rem 0;
  border-bottom: 1px solid #e8edff;
  h3 {
    color: #1b215c;
    font-family: var(--ff-medium);
    font-weight: 500;
    font-size: 1.6rem;
    line-height: 1.6;
    margin-bottom: 2rem;
    span {
      color: #61677c;
      font-family: var(--ff-regular);
      font-weight: 400;
      font-size: 1.4rem;
    }
  }
`;
