import React from 'react';
import ProfileSection from '../../components/common/wrappers/ProfileWrapper';
import { BasicSwitch } from '../../components/common/inputs/Switch';

const Notification = () => {
  return (
    <>
      <ProfileSection className="sectionw-details">
        <div className="section-details">
          <h3>Notification Preferences</h3>
        </div>
        <div className="d-flx-alc-jsb py-3 border-top">
          <p>Get notified when a collaborator makes an update</p>
          <BasicSwitch />
        </div>
        <div className="d-flx-alc-jsb py-3 border-top">
          <p>
            Receive email updates on mentions, comments, and edit digests for
            all the pages you have followed.
          </p>
          <BasicSwitch />
        </div>
        <div className="d-flx-alc-jsb py-3 border-top">
          <p>
            Receive push notifications on mentions and comments via your mobile
            app.
          </p>
          <BasicSwitch />
        </div>
      </ProfileSection>
    </>
  );
};

export default Notification;
